Subject: bug#17588: 24.3.91; mouse-face glitchy

From: Christopher Schmidt <[email-masked]>
Date: Mon, 26 May 2014 04:35:18 -0400 (EDT)

Eli Zaretskii <[email-masked]> writes:
> How was your Emacs built?  (The information collected by
> 'report-emacs-bug' was not present in your report.)

No explicit configuration options were used.

I used a recent build of the emacs-24 branch for this report.  AFAICT
bug reports via M-x report-emacs-bug RET in emacs-24 do not expose
configuration features beyond what is in system-configuration-options.

Using the trunk, where I can reproduce this issue with my recipe as
well, I get

    Configured features:
    XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS NOTIFY LIBSELINUX LIBXML2
    FREETYPE XFT ZLIB

This is what configure says:

    Configured for `x86_64-unknown-linux-gnu'.

      Where should the build process find the source code?    .
      What compiler should emacs be built with?               gcc -std=gnu99 -g3 -O2
      Should Emacs use the GNU version of malloc?             yes
          (Using Doug Lea's new malloc from the GNU C Library.)
      Should Emacs use a relocating allocator for buffers?    no
      Should Emacs use mmap(2) for buffer allocation?         no
      What window system should Emacs use?                    x11
      What toolkit should Emacs use?                          GTK2
      Where do we find X Windows header files?                Standard dirs
      Where do we find X Windows libraries?                   Standard dirs
      Does Emacs use -lXaw3d?                                 no
      Does Emacs use -lXpm?                                   yes
      Does Emacs use -ljpeg?                                  yes
      Does Emacs use -ltiff?                                  yes
      Does Emacs use a gif library?                           yes -lgif
      Does Emacs use a png library?                           yes -lpng12 -lz -lm
      Does Emacs use -lrsvg-2?                                no
      Does Emacs use imagemagick?                             no
      Does Emacs support sound?                               yes
      Does Emacs use -lgpm?                                   no
      Does Emacs use -ldbus?                                  yes
      Does Emacs use -lgconf?                                 no
      Does Emacs use GSettings?                               yes
      Does Emacs use a file notification library?             yes -lgio (gfile)
      Does Emacs use access control lists?                    no
      Does Emacs use -lselinux?                               yes
      Does Emacs use -lgnutls?                                no
      Does Emacs use -lxml2?                                  yes
      Does Emacs use -lfreetype?                              yes
      Does Emacs use -lm17n-flt?                              no
      Does Emacs use -lotf?                                   no
      Does Emacs use -lxft?                                   yes
      Does Emacs directly use zlib?                           yes
      Does Emacs use toolkit scroll bars?                     yes

My environment specs can be found in the initial message:

    In GNU Emacs 24.3.91.3 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10)
    Repository revision: 117154 [email-masked]
    Windowing system distributor `The X.Org Foundation', version 11.0.11204000

This is a Debian GNU/Linux "wheezy" system.  This issue can be
reproduced with GTK+ 3, too.

> Also, can you try running this on some other machine, perhaps a faster
> one?

I do not have access to any other machine with a window system at the
moment.

This one:

    $ grep "model name" /proc/cpuinfo | uniq
    model name	: Intel(R) Core(TM) i7-4770 CPU @ 3.40GHz